#include <stdio.h>
#include<conio.h>
int main()
{
    int n,m,f=0,i,j,minuszegy=-1;
    scanf("%d %d",&n,&m);
    char a;
    char tomb[n][m];
    for(i=0;i<n;i++){
        for(j=0;j<m;j++){
            tomb[i][j]=getche();
            if (tomb[i][j]=='#' || tomb[i][j]=='0' || tomb[i][j]=='1'|| tomb[i][j]=='2'|| tomb[i][j]=='3'|| tomb[i][j]=='4'){
                f=1;
            }
        }
        a=getche();
    }
    
    if(f==0){
       for(i=0;i<n;i++){
           for(j=0;j<m;j++){
               if(i==j){
                   printf("C");
               }else{
                   printf(".");
               }
               
           }
           printf("\n");
       } 
        
    }
    if(f==1){
        printf("%d",minuszegy);
    }

    return 0;
}